Package pyxb :: Package utils :: Module saxdom :: Class Node |
[hide private]
[frames] | no frames]

# type Node

source code

               xml.dom.Node --+
                              |
             object --+       |
                      |       |
                cscRoot --+   |
                          |   |
    utility.Locatable_mixin --+
                              |
                             Node

Known Subclasses:
  - Attr
  - , _CharacterData
  - , Document
  - , Element

Base for the minimal DOM interface required by PyXB.

Instance Methods | [hide private]
__init__(self, node_type, **kw) | source code
_indexInParent(self) | source code
__childIfPresent(self, index) | source code
appendChild(self, new_child) | source code
_setParentNode(self, parent_node, index_in_parent) | source code
_setAttributes(self, attributes) | source code
hasAttributeNS(self, ns_uri, local_name) | source code
getAttributeNodeNS(self, ns_uri, local_name) | source code
getAttributeNS(self, ns_uri, local_name) | source code
Inherited from `utility.Locatable_mixin` (private): `_location`, `_setLocation`

Class Variables | [hide private]
| __expandedName = `None`
| __prefix = ``'````'``
| __tagName = ``'````'``
| __namespaceURI = `None`
| __localName = `None`
| __value = `None`
| __attributes = `None`
Inherited from `xml.dom.Node`: `ATTRIBUTE_NODE`, `CDATA_SECTION_NODE`, `COMMENT_NODE`, `DOCUMENT_FRAGMENT_NODE`, `DOCUMENT_NODE`, `DOCUMENT_TYPE_NODE`, `ELEMENT_NODE`, `ENTITY_NODE`, `ENTITY_REFERENCE_NODE`, `NOTATION_NODE`, `PROCESSING_INSTRUCTION_NODE`, `TEXT_NODE`

Properties | [hide private]
| location
| _expandedName
| prefix
| tagName
| namespaceURI
| localName
| value
| nodeType
| parentNode
| firstChild
| childNodes
| attributes
| nextSibling

Method Details | [hide private]

### __init__(self, node_type, **kw) (Constructor) | source code
Overrides: cscRoot.__init__

Property Details | [hide private]

### location

### _expandedName

### prefix

### tagName

### namespaceURI

### localName

### value

### nodeType

### parentNode

### firstChild

### childNodes

### attributes

### nextSibling